FREEFOAM-REDISTRIBUTEMESHPAR(1)

NAME
freefoam-redistributeMeshPar - Redistributes existing decomposed mesh and fields according to the current settings in the decomposeParDict file.

SYNOPSIS

freefoam redistributeMeshPar [-mergeTol <number>] [-srcDoc] [-doc] [-help] [-parallel] [-case <dir>]

DESCRIPTION

Must be run on maximum number of source and destination processors. Balances mesh and writes new mesh to new time directory.

Can also work like decomposePar:

# Create empty processors mkdir processor0 .. mkdir processorN

# Copy undecomposed polyMesh cp -r constant processor0

# Distribute mpirun -np ddd redistributeMeshPar -parallel

OPTIONS

-mergeTol <number>
    Relative merge distance.

-case <dir>
    Case directory.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

You might want to unset FOAM_SIGFPE and FOAM_SETNAN since patchfields that hold additional data might not be initialised (since mapped from 0 faces)

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.